openjdk-7-jdk : Depends: openjdk-7-jre

This forum has detail about cloud infrastructure and component. e.g. Bare metal node, Nimbus, Eucalyptus, Virtual appliances, OpenStack, OpenNebula, virtual machine, Xen, KVM Virtualization / XCAT, chef, puppet etc..
forum_admin
Site Admin
Posts: 181
Joined: Wed Jul 16, 2014 9:22 pm
Contact:

openjdk-7-jdk : Depends: openjdk-7-jre

Postby forum_admin » Wed Apr 08, 2015 9:01 pm

root@a2u8:~# apt-get -q -y --force-yes install openjdk-7-jdk
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
openjdk-7-jdk : Depends: openjdk-7-jre (= 7u75-2.5.4-1~precise1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


Guest

Re: openjdk-7-jdk : Depends: openjdk-7-jre

Postby Guest » Wed Apr 08, 2015 9:13 pm

Use aptitude instead of apt-get. It is more intelligent. It not only will handle downgrading conflicting packages for you, but will make a series of recommendations asking you which of many possible suggested working scenarios you would like.

sudo aptitude install myNewPackage

If you don't have aptitude on your machine yet, get it with

sudo apt-get install aptitude
Thanks..


Return to “Cloud Computing”

Who is online

Users browsing this forum: No registered users and 0 guests